Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security
Interface TlsIndirectKeyStore

All Known Implementing Classes:
  AbstractTlsRetrieveMailConnector, AjaxConnector, HttpsConnector, HttpsPollingConnector, ImapsConnector, JettyHttpsConnector, Pop3sConnector, SmtpsConnector, SslConnector, TlsConfiguration, TlsConnector

    public interface TlsIndirectKeyStore

Configure indirect key stores. TLS/SSL connections are made on behalf of an entity, which can be anonymous or identified by a certificate - this interface specifies how a keystore can be used to provide the certificates (and associated private keys) necessary for identification.

The information specified in this interface is used to configure a key store indirectly. For more information see the documentation for the connector or protocol in question. The comments in `TlsConfiguration` may also be useful.

Programmers: this information, once stored in and retrieved from properties via `TlsPropertiesMapper`, will provide a key manager factory via the `TlsDirectKeyStore` interface implemented by `TlsConfiguration`. This can be associated with a socket factory via `TlsPropertiesSocketFactory`.

Method Summary
`String` | `getClientKeyStore()`
`String` | `getClientKeyStorePassword()`
`String` | `getClientKeyStoreType()`
`void` | `setClientKeyStore(String name)`
`void` | `setClientKeyStorePassword(String clientKeyStorePassword)`
`void` | `setClientKeyStoreType(String clientKeyStoreType)`

Method Detail

### getClientKeyStore

    String getClientKeyStore()

  Returns:
    The location (resolved relative to the current classpath and file system, if possible) of the keystore that contains public certificates and private keys for identification.

### setClientKeyStore

    void setClientKeyStore(String name)
                           throws IOException

  Parameters:
    `name` - The location of the keystore that contains public certificates and private keys for identification.
  Throws:
    `IOException` - If the location cannot be resolved via the file system or classpath

### getClientKeyStorePassword

    String getClientKeyStorePassword()

  Returns:
    The password used to protect the keystore itself

### setClientKeyStorePassword

    void setClientKeyStorePassword(String clientKeyStorePassword)

  Parameters:
    `clientKeyStorePassword` - The password used to protect the keystore itself

### setClientKeyStoreType

    void setClientKeyStoreType(String clientKeyStoreType)

### getClientKeyStoreType

    String getClientKeyStoreType()

  Returns:
    The type of keystore used in `setClientKeyStore(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.